Get Airports
curl --request GET \
--url https://api.payvessel.com/pms/api/external/request/flights/airports/ \
--header 'api-key: <api-key>' \
--header 'api-secret: <api-secret>'import requests
url = "https://api.payvessel.com/pms/api/external/request/flights/airports/"
headers = {
"api-key": "<api-key>",
"api-secret": "<api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>', 'api-secret': '<api-secret>'}};
fetch('https://api.payvessel.com/pms/api/external/request/flights/airports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Airports retrieved successfully",
"data": [
{
"IATA": "LOS",
"AirportName": "Murtala Muhammed International Airport",
"CityName": "Lagos",
"CountryCode": "NG"
},
{
"IATA": "ABV",
"AirportName": "Nnamdi Azikiwe International Airport",
"CityName": "Abuja",
"CountryCode": "NG"
},
{
"IATA": "LHR",
"AirportName": "Heathrow Airport",
"CityName": "London",
"CountryCode": "GB"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Flight Booking
Get Airports
List supported airports with IATA codes for flight search
GET
/
pms
/
api
/
external
/
request
/
flights
/
airports
/
Get Airports
Headers
Your PayVessel public API key
Your PayVessel API secret
Query Parameters
Filter airports by IATA code, airport name, or city (case-insensitive)
⌘I
